;$Id: tas_dismiss.pro,v 1.2 2005/02/09 14:02:26 azuah Exp $
;###############################################################################
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used of if the code in this file is
;  included in another product.
;
;###############################################################################
pro tas_dismiss, notifyIDs, inPtr, group_leader = group_leader

  s = size(notifyIDs)
  if s[0] eq 1 then count = 0 else count = s[2]-1
  for j = 0,count do begin
    TASXPreduceInfo = {TASREDUCEEVENT,$
                            ID:notifyIDs[0,j],$
                            Top:notifyIDs[1,j],$
                            Handler:0l,$
                            inPtr:ptr_new(*inPtr)}
    if widget_info(notifyIDs[0,j],/valid_id) then begin $
      widget_control, notifyIDs[0,j], send_event = TASXPReduceInfo
    endif
  endfor

end